Package org.eclipse.m2m.atl.adt.ui.text.atl

## Class AtlCodeScanner.SymbolRule

- java.lang.Object
- - org.eclipse.m2m.atl.adt.ui.text.atl.AtlCodeScanner.SymbolRule

All Implemented Interfaces:
  `org.eclipse.jface.text.rules.IRule`

Enclosing class:
  AtlCodeScanner

    protected class AtlCodeScanner.SymbolRule
    extends java.lang.Object
    implements org.eclipse.jface.text.rules.IRule

Rule to detect symbols.

### Constructor Summary

Constructors
`SymbolRule​(java.lang.String[] list, org.eclipse.jface.text.rules.Token token)` Creates a new operator rule.

### Method Summary

All Methods Instance Methods Concrete Methods
`org.eclipse.jface.text.rules.IToken` `evaluate​(org.eclipse.jface.text.rules.ICharacterScanner scanner)`
`boolean` `isInList​(char character)` Is this character in the list?

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SymbolRule

    public SymbolRule​(java.lang.String[] list,
                      org.eclipse.jface.text.rules.Token token)

Creates a new operator rule.

Parameters:
  `list` - the symbols
  `token` - the token associated with this rule

### Method Detail

#### evaluate

    public org.eclipse.jface.text.rules.IToken evaluate​(org.eclipse.jface.text.rules.ICharacterScanner scanner)

Specified by:
  `evaluate` in interface `org.eclipse.jface.text.rules.IRule`
See Also:
  `IRule.evaluate(org.eclipse.jface.text.rules.ICharacterScanner)`

#### isInList

    public boolean isInList​(char character)

Is this character in the list?

Parameters:
  `character` - Character to determine whether it is an operator character
Returns:
  `true` iff the character is an operator, `false` otherwise.